Contents
Index 🔎︎

# GoSub...Return Statement

Kutsub alamprotseduuri või funktsiooni sildil määratud alamprotseduuri. Sildile järgnevad laused käivitatakse kuni järgmise Return-lauseni. Pärast seda jätkab programm lausele GoSub järgneva lausega.

## Süntaks:

    vaata parameetrid

## Parameetrid:

Sub/Function

lause sisu

Silt

lause sisu

GoSub Label

Exit Sub/Function

Label:

lause sisu

Return

End Sub/Function

Lause GoSub alamprotseduurist või funktsioonist sildil määratud kohaliku alaprotseduuri. Sildi nimi peab lõppema kooloniga (":").

Kui programm jõuab Return-lauseni, millele ei eelne lauset GoSub, siis tagastab LibreOffice Basic veateate. Selleks, et programm sulgeks enne järgmise Return-lauseni jõudmist alamprotseduuri või funktsiooni, kasuta lauset Exit Sub või Exit Function.

Järgmine näide on lausete GoSub ja Return kasutamise kohta. Programmiosa kaks korda käivitamisel arvutab programm kasutaja sisestatud kahe arvu ruutjuure.

## Näide:

    Sub ExampleGoSub
    Dim iInputa As Single
    Dim iInputb As Single
    Dim iInputc As Single
        iInputa = Int(InputBox("Sisesta esimene arv: ","ArvuSisestus"))
        iInputb = Int(InputBox("Sisesta teine arv: ","ArvuSisestus"))
        iInputc=iInputa
        GoSub SquareRoot
        Print "Ruutjuur arvust";iInputa;" on";iInputc
        iInputc=iInputb
        GoSub SquareRoot
        Print "Ruutjuur arvust";iInputb;" on";iInputc
        Exit Sub
    SquareRoot:
        iInputc=sqr(iInputc)
        Return
    End Sub